spring:
  datasource:
    url: jdbc:postgresql://localhost:5432/kpi
    driver-class-name: org.postgresql.Driver
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      pool-name: kpi-pool
      jdbc-url: jdbc:postgresql://localhost:5432/kpi
      username: ari
      password: ENC(x9M2wy2IRhuWaJr/Mr6l/Q==)
      auto-commit: false
      minimum-idle: 5
      maximum-pool-size: 30
  jpa:
    hibernate:
      ddl-auto: update
    show-sql: true
    database: postgresql
    database-platform: org.hibernate.dialect.PostgreSQL9Dialect
    properties:
      hibernate:
        jdbc:
          batch_size: 10
          order_inserts: true
          order_updates: true
        generate_statistics: false
  profiles:
    active: prod
  http:
    multipart:
      max-file-size: 10MB
      max-request-size: 10MB
      location: /home/aulia/java_dev/workspaces/java/upload/kpi/prod/
      enabled: true
server:
  port: 8080
jasypt:
  encryptor:
    algorithm: PBEWithMD5AndDES
    password: aulia
kpi:
  template: 
    participant: D:\java_dev\ext\kpi\template\template_participant.xlsx